Kerbal Space Program - Bug #3541

When loading vessel in VAB after opening game, it removes the start node (the capsule). The object
is still there but it is not the "start” item.

11/20/2014 01:30 PM - willshmo258

Status: Closed Start date: 11/20/2014
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.25 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

| was building a Moho Lander, which | had launched and tested many times, and | decided to close the game. When | opened it up,
the loaded vessel was still there, with the same name that | named it in the load menu, but when | actually loaded it, the name in the
top was "Vessel Name" and the whole vessel was there, except it wasn't attached to the start node. In fact, there was no start node.
So | decided to just make the same vessel again, and then when | went to check my design, and the same thing happened again.
Then | tried to launch the first vessel | had, and it loaded and it went to an aerial view, but not the normal view of the KSC. That was
it. It was so weird. Please check screenshots below if | was not clear. To me, it breaks the game.

History

#1 - 11/20/2014 05:04 PM - Squelch
- Status changed from New to Need More Info

- Severity changed from High to Low

Could you please attach the .craft file and your log for this session?

Does this happen for the same savegame, or does the craft cause problems in a new game? If it is the same save, then please zip up the savegame
found under /saves and attach that instead. The .craft file will be included along with the save data, but do please provide your log regardless.

A similar scenario has been seen, but the problem could not be identified. A comparison may shed further light on the matter. Thank you

#2 - 11/20/2014 07:29 PM - Ruedii

| also noticed at least one mod there. Does this occur without the mod?

The .dIl packaged with procedural fairings causes major issues in the VAB if it's not up to date, (The version built for 0.24.x has trouble on 0.25

installs) so if you have an old copy of procedural fairings installed it can create issues similar to this one. Procedural fairings also creates similar
bugs in the case of conflicts with other mods. (However | don't have a list of conflicting mods off hand.)

#3 - 11/21/2014 11:52 AM - Squelch

Another question to ask is: Do you use undo (CTRL-Z) there have been issues with this, and the loss of registration of the root. The last image shows
this to be the case.

Suffice to say, the log/save will reveal all, so please upload them if possible.
#4 - 12/15/2014 06:38 PM - Squelch
With the newly revised Editor in 0.90, this has potentially been fixed.
Please respond with any new information if the problem persists in 0.90. Thank you.
#5 - 12/28/2014 06:33 AM - Alberto
Squelch wrote:
With the newly revised Editor in 0.90, this has potentially been fixed.

Please respond with any new information if the problem persists in 0.90. Thank you.
| have the same problem in 0.90, | built a 800+ parts rocket and when i load it happen the same thing, the game don't recognize the root part. |
basically lost a 2 month project.
Bug: https://www.youtube.com/watch?v=5b5DKX05T8I|

Log: https://www.dropbox.com/s/w91fwopt9mbs53c/KSP.log?dI=0

#6 - 07/17/2016 09:27 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#7 - 08/09/2016 11:30 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
